Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi
Class POIXMLProperties.CustomProperties

    java.lang.Object
      org.apache.poi.POIXMLProperties.CustomProperties

Enclosing class:
  POIXMLProperties

    public class POIXMLProperties.CustomProperties

extends java.lang.Object

Custom document properties

Field Summary
`static java.lang.String` | `FORMAT_ID` Each custom property element contains an fmtid attribute with the same GUID value ({D5CDD505-2E9C-101B-9397-08002B2CF9AE}).

Method Summary
`void` | `addProperty(java.lang.String name, boolean value)` Add a new boolean property
`void` | `addProperty(java.lang.String name, double value)` Add a new double property
`void` | `addProperty(java.lang.String name, int value)` Add a new integer property
`void` | `addProperty(java.lang.String name, java.lang.String value)` Add a new string property
`boolean` | `contains(java.lang.String name)` Check if a property with this name already exists in the collection of custom properties
`org.openxmlformats.schemas.officeDocument.x2006.customProperties.CTProperties` | `getUnderlyingProperties()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FORMAT_ID

    public static final java.lang.String FORMAT_ID

  Each custom property element contains an fmtid attribute with the same GUID value ({D5CDD505-2E9C-101B-9397-08002B2CF9AE}).

  See Also:
    Constant Field Values

Method Detail

### getUnderlyingProperties

    public org.openxmlformats.schemas.officeDocument.x2006.customProperties.CTProperties getUnderlyingProperties()

### addProperty

    public void addProperty(java.lang.String name,
                            java.lang.String value)

  Add a new string property

  Throws:
    `java.lang.IllegalArgumentException` - if a property with this name already exists

### addProperty

    public void addProperty(java.lang.String name,
                            double value)

  Add a new double property

  Throws:
    `java.lang.IllegalArgumentException` - if a property with this name already exists

### addProperty

    public void addProperty(java.lang.String name,
                            int value)

  Add a new integer property

  Throws:
    `java.lang.IllegalArgumentException` - if a property with this name already exists

### addProperty

    public void addProperty(java.lang.String name,
                            boolean value)

  Add a new boolean property

  Throws:
    `java.lang.IllegalArgumentException` - if a property with this name already exists

### contains

    public boolean contains(java.lang.String name)

  Check if a property with this name already exists in the collection of custom properties

  Parameters:
    `name` - the name to check
  Returns:
    whether a property with the given name exists in the custom properties

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD